Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class FatalApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.beasys.commerce.foundation.exception.FatalApplicationException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  OrderPackingException, QuoteException

    public class FatalApplicationException

extends RuntimeException
implements MessageCatalogException

The `FatalApplicationException` class is used to signal runtime business logic exceptions to a caller.

The `FatalApplicationException` class is closely tied to the `MessageCatalog`. An `FatalApplicationException` contains a log and user message that is constructed using the `MessageCatalog`. In fact, each `FatalApplicationException` derivative should have at least one user and log catalog message.

In the case of an EJB, the following guidelines should be followed:

Like the `ApplicationException` class, the `FatalApplicationException` class is used to signal business logic exceptions. However, unlike the `ApplicationException` class, if a bean method throws a `FatalApplicationException`, any existing transaction will be rolled back by the Container and the bean's state will be set to "does not exists". The net effect is the same as if the bean method threw a `SystemException`.

See Also
  `MessageCatalog`, `ApplicationException`, `MessageCatalogException`, Serialized Form

Field Summary
`protected Exception` | `embeddedException` The embedded exception.
`protected Stack` | `logMessages` The log messages.
`protected Stack` | `userMessages` The user messages.

Constructor Summary
`FatalApplicationException()` Constructs an `FatalApplicationException` with no associated message.
`FatalApplicationException(FatalApplicationException topException, FatalApplicationException bottomException)` Constructs an `FatalApplicationException` from two source `FatalApplicationException`s by concatinating the screen and log messages of the two source `FatalApplicationException`s.
`FatalApplicationException(String namespace, String messageKey)` Class constructor taking the namespace and key of the associated catalog message.
`FatalApplicationException(String namespace, String messageKey, Exception exception)` Class constructor taking the namespace and key of the associated catalog message and an embedded exception.
`FatalApplicationException(String namespace, String messageKey, Object argument)` Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.
`FatalApplicationException(String namespace, String messageKey, Object[] arguments)` Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.
`FatalApplicationException(String namespace, String messageKey, Object[] arguments, Exception exception)` Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`FatalApplicationException(String namespace, String messageKey, Object argument, Exception exception)` Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Method Summary
`void` | `addLogMessage(String namespace, String messageKey)` Adds a new log catalog message to the stack of associated messages.
`void` | `addLogMessage(String namespace, String messageKey, Object argument)` Adds a new log catalog message to the stack of associated messages.
`void` | `addLogMessage(String namespace, String messageKey, Object[] arguments)` Adds a new log catalog message to the stack of associated messages.
`void` | `addMessage(String namespace, String messageKey)` Adds a new user and log catalog message to the stack of associated messages.
`void` | `addMessage(String namespace, String messageKey, Object argument)` Adds a new user catalog message to the stack of associated messages.
`void` | `addMessage(String namespace, String messageKey, Object[] arguments)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(String namespace, String messageKey)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(String namespace, String messageKey, Object argument)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(String namespace, String messageKey, Object[] arguments)` Adds a new user catalog message to the stack of associated messages.
`Exception` | `getEmbeddedException()` Gets the embedded exception associated with this exception.
`String` | `getLocalizedMessage()` Returns the user message associated with this exception.
`String` | `getLogMessage()` Returns the first log catalog message associated with this exception.
`Iterator` | `getLogMessages()` Returns an iterator over all the log catalog messages associated with this exception.
`String` | `getMessage()` Returns the user message associated with this exception.
`String` | `getUserMessage()` Returns the first user catalog message associated with this exception.
`Iterator` | `getUserMessages()` Returns an iterator over all the user catalog messages associated with this exception.
`String` | `toString()` Returns a string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### embeddedException

    protected Exception embeddedException

  The embedded exception.

### logMessages

    protected Stack logMessages

  The log messages.

### userMessages

    protected Stack userMessages

  The user messages.

Constructor Detail

### FatalApplicationException

    public FatalApplicationException()

  Constructs an `FatalApplicationException` with no associated message.

### FatalApplicationException

    public FatalApplicationException(FatalApplicationException topException,
                                     FatalApplicationException bottomException)

  Constructs an `FatalApplicationException` from two source `FatalApplicationException`s by concatinating the screen and log messages of the two source `FatalApplicationException`s. The messages of the first `FatalApplicationException` will preceed those of the second in the constructed `FatalApplicationException`. Furthermore, the new `FatalApplicationException` will have the embedded exception of the first `FatalApplicationException` associated with it.

  Parameters
    `FatalApplicationException` - topException
    `FatalApplicationException` - bottomException

### FatalApplicationException

    public FatalApplicationException(String namespace,
                                     String messageKey)

  Class constructor taking the namespace and key of the associated catalog message.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### FatalApplicationException

    public FatalApplicationException(String namespace,
                                     String messageKey,
                                     Exception exception)

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### FatalApplicationException

    public FatalApplicationException(String namespace,
                                     String messageKey,
                                     Object argument)

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### FatalApplicationException

    public FatalApplicationException(String namespace,
                                     String messageKey,
                                     Object argument,
                                     Exception exception)

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### FatalApplicationException

    public FatalApplicationException(String namespace,
                                     String messageKey,
                                     Object[] arguments)

  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### FatalApplicationException

    public FatalApplicationException(String namespace,
                                     String messageKey,
                                     Object[] arguments,
                                     Exception exception)

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Method Detail

### getEmbeddedException

    public Exception getEmbeddedException()

  Description copied from interface: `MessageCatalogException`
  Gets the embedded exception associated with this exception.

  Specified by:
    `getEmbeddedException` in interface `MessageCatalogException`
  Returns
    The embedded exception.

### getLogMessage

    public String getLogMessage()

  Description copied from interface: `MessageCatalogException`
  Returns the first log catalog message associated with this exception.

  Specified by:
    `getLogMessage` in interface `MessageCatalogException`
  Returns
    The first log catalog message associated with this exception.

### getLogMessages

    public Iterator getLogMessages()

  Description copied from interface: `MessageCatalogException`
  Returns an iterator over all the log catalog messages associated with this exception.

  Specified by:
    `getLogMessages` in interface `MessageCatalogException`
  Returns
    An iterator over all log catalog messages.

### addLogMessage

    public void addLogMessage(String namespace,
                              String messageKey)

  Description copied from interface: `MessageCatalogException`
  Adds a new log catalog message to the stack of associated messages.

  Specified by:
    `addLogMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.

### addLogMessage

    public void addLogMessage(String namespace,
                              String messageKey,
                              Object argument)

  Description copied from interface: `MessageCatalogException`
  Adds a new log catalog message to the stack of associated messages.

  Specified by:
    `addLogMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.
    `argument` - Message parameter substitution argument.

### addLogMessage

    public void addLogMessage(String namespace,
                              String messageKey,
                              Object[] arguments)

  Description copied from interface: `MessageCatalogException`
  Adds a new log catalog message to the stack of associated messages.

  Specified by:
    `addLogMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.

### getUserMessage

    public String getUserMessage()

  Description copied from interface: `MessageCatalogException`
  Returns the first user catalog message associated with this exception.

  Specified by:
    `getUserMessage` in interface `MessageCatalogException`
  Returns
    The user catalog message associated with this exception.

### getUserMessages

    public Iterator getUserMessages()

  Description copied from interface: `MessageCatalogException`
  Returns an iterator over all the user catalog messages associated with this exception.

  Specified by:
    `getUserMessages` in interface `MessageCatalogException`
  Returns
    An iterator over all user catalog messages.

### addUserMessage

    public void addUserMessage(String namespace,
                               String messageKey)

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addUserMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.

### addUserMessage

    public void addUserMessage(String namespace,
                               String messageKey,
                               Object argument)

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addUserMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.
    `argument` - Message parameter substitution argument.

### addUserMessage

    public void addUserMessage(String namespace,
                               String messageKey,
                               Object[] arguments)

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addUserMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.

### addMessage

    public void addMessage(String namespace,
                           String messageKey)

  Description copied from interface: `MessageCatalogException`
  Adds a new user and log catalog message to the stack of associated messages.

  Specified by:
    `addMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.

### addMessage

    public void addMessage(String namespace,
                           String messageKey,
                           Object argument)

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.
    `argument` - Message parameter substitution argument.

### addMessage

    public void addMessage(String namespace,
                           String messageKey,
                           Object[] arguments)

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.

### getMessage

    public String getMessage()

  Returns the user message associated with this exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns
    The user message associated with this exception.

### getLocalizedMessage

    public String getLocalizedMessage()

  Returns the user message associated with this exception.

  Overrides:
    `getLocalizedMessage` in class `Throwable`
  Returns
    The user message associated with this exception.

### toString

    public String toString()

  Returns a string representation of this exception.

  Overrides:
    `toString` in class `Throwable`
  Returns
    A string representation of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved